%define module pycurl
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
 
Summary:       A Python interface to libcurl
Name:          python-curl
Version:       7.43.0
Release:       %mkrel 1
Group:         Development/Python
License:       LGPLv2+
URL:           http://pycurl.sourceforge.net
Source0:       https://pypi.python.org/packages/source/p/pycurl/%{module}-%{version}.tar.gz
Patch0:        pycurl-7.19.5.3-link.patch 
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: pkgconfig(libcurl) >= 7.21.5
BuildRequires: openssl-devel
Obsoletes:     python-pycurl < %{version}-%{release}
Provides:      python-pycurl = %{version}-%{release}

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%package -n python3-curl
Summary:       A Python interface to libcurl for Python 3
Group:         Development/Python

%description -n python3-curl
PycURL is a Python3 interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn %{module}-%{version}
%patch0 -p1

cp -a . %{py3dir}

%build
export CFLAGS="%{optflags}"
%{__python2} setup.py docstrings
%{__python2} setup.py --with-ssl build
pushd %{py3dir}
%{__python3} setup.py docstrings
%{__python3} setup.py --with-ssl build 
popd

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python2_sitearch}
%{__python2} -c 'import %{module}; print(%{module}.version)'
pushd %{py3dir}
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch}
%{__python3} -c 'import %{module}; print(%{module}.version)'
popd

%install
%{__python2} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
popd
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 

%files
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python2_sitearch}/*


%files -n python3-curl
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python3_sitearch}/*




%changelog
* Thu May 12 2016 philippem <philippem> 7.43.0-1.mga6
+ Revision: 1014388
- update to 7.43.0

* Tue Feb 16 2016 umeabot <umeabot> 7.19.5.3-2.mga6
+ Revision: 962200
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 philippem <philippem> 7.19.5.3-1.mga6
+ Revision: 897985
- update to 7.19.5.3

* Wed Oct 07 2015 tv <tv> 7.19.5-5.mga6
+ Revision: 886698
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 7.19.5-4.mga5
+ Revision: 746397
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 7.19.5-3.mga5
+ Revision: 728215
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 7.19.5-2.mga5
+ Revision: 687954
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 philippem <philippem> 7.19.5-1.mga5
+ Revision: 657635
- update to 7.19.5, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 7.19.0-10.mga4
+ Revision: 543173
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 7.19.0-9.mga4
+ Revision: 498337
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 7.19.0-8.mga3
+ Revision: 378626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 fwang <fwang> 7.19.0-7.mga3
+ Revision: 329949
- fix linkage
- fix linkage
- fix linkage

* Thu Feb 17 2011 dmorgan <dmorgan> 7.19.0-6.mga1
+ Revision: 53056
- imported package python-curl

